unit Demo;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  FloatBar, Menus, StdCtrls;

type
  TForm1 = class(TForm)
    FloatBar1: TFloatBar;
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    PopupMenu1: TPopupMenu;
    Exit1: TMenuItem;
    procedure Exit1Click(Sender: TObject);
    procedure FloatBar1StateChanged(Sender: TObject; State: TScreenSide);
    procedure FormPaint(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure FloatBar1Closed(Sender: TObject);
    procedure FloatBar1Opened(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}
uses shellapi, UMon, UOption;

procedure TForm1.Exit1Click(Sender: TObject);
begin
Close;
end;

procedure TForm1.FloatBar1StateChanged(Sender: TObject;
  State: TScreenSide);
var xd,yd:byte;
begin
xd:=0;
yd:=0;
if (State=ssTop) or (State=ssBottom) then xd:=80
else yd:=40;
Button1.Left:=4;
Button1.Top:=16;
Button2.Left:=xd+4;
Button2.Top:=yd+16;
Button3.Left:=xd*2+4;
Button3.Top:=yd*2+16;
with Form2.Label2 do
case State of
ssTop:          Caption:='Top';
ssBottom:       Caption:='Buttom';
ssLeft:         Caption:='Left';
ssRight:        Caption:='Right';
ssonDesktop:    Caption:='Desktop';
end;
end;

procedure TForm1.FormPaint(Sender: TObject);
begin
Canvas.Pen.Style:=psSolid;
Canvas.Pen.Width:=1;
Canvas.Pen.Color:=$e0e0e0;
Canvas.MoveTo(Width-2,0);
Canvas.LineTo(0,0);
Canvas.LineTo(0,Height-1);
Canvas.Pen.Color:=$ffffff;
Canvas.MoveTo(Width-3,1);
Canvas.LineTo(1,1);
Canvas.LineTo(1,Height-2);
end;

procedure TForm1.FormShow(Sender: TObject);
begin
ShowWindow(Application.Handle,sw_Hide);
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
ShellExecute(0,Nil,'http://www.shareit.com/programs/102372.htm',Nil,Nil,SW_NORMAL);
end;

procedure TForm1.FloatBar1Closed(Sender: TObject);
begin
Form2.Label4.Caption:='Close';
end;

procedure TForm1.FloatBar1Opened(Sender: TObject);
begin
Form2.Label4.Caption:='Open';
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
Form2.Show;
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
Form3.Show;
end;

end.
